package com.yidian.shenghuoquan.border.adapter

import android.annotation.SuppressLint
import android.widget.ImageView
import android.widget.TextView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.dto.GoodsList

/**
 * 确认订单页面商品列表适配器
 */
class OrderConfirmCommodityListAdapter : BaseQuickAdapter<GoodsList, BaseViewHolder>(R.layout.border_item_order_confirm_commodity_list) {

  @SuppressLint("SetTextI18n")
  override fun convert(holder: BaseViewHolder, item: GoodsList) {
    holder.getView<TextView>(R.id.tv_commodity_name).text = item.name
    holder.getView<TextView>(R.id.tv_commodity_count).text = "共" + item.name + "件"
    holder.getView<TextView>(R.id.tv_commodity_amount).text = "¥" + item.name
    val ivCommodityPic = holder.getView<ImageView>(R.id.iv_commodity_pic)
//    Glide.with(context).load(item.url)
//      .apply(
//        RequestOptions()
//          .transform(CenterCrop(), RoundedCorners(DensityUtil.dp2px(12F)))
//          .error(R.drawable.img_order_commodity_placeholder)
//          .placeholder(R.drawable.img_order_commodity_placeholder)
//      )
//      .into(ivCommodityPic)
  }

}
