package com.yidian.shenghuoquan.border.viewmodel

import android.content.Intent
import android.net.Uri
import com.yidian.bcommon.app.YdBaseApplication
import com.yidian.bcommon.mvvm.BaseViewModel

/**
 * author: yinjiacheng
 * date: 2021/8/23 13:52
 * description: 订单自提点
 */
class OrderPickupPointViewModel : BaseViewModel() {

  /**
   * 联系自提点
   * 打开拨号界面
   * @param phone 电话号码
   */
  fun contractPickupPoint(phone: String) {
    val intent = Intent(Intent.ACTION_DIAL)
    intent.data = Uri.parse("tel:$phone")
    intent.flags = Intent.FLAG_ACTIVITY_NEW_TASK
    YdBaseApplication.context.startActivity(intent)
  }
}
